Results 1 to 7 of 7

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Upgrade 3gs 3.1.3 to 4.0.1 possible?

  1. #1
    Default Upgrade 3gs 3.1.3 to 4.0.1 possible?
    iPhone 3gs
    05.12.01
    OS 3.1.3

    I cannot upgrade to 4.0 nor 4.0.1, it's giving me 3194 error.

    Is there a separate jailbreak method besides spirit for 3.1.3?
    If so, I can use that method to just do custom firmware install.

    THanks!

  2. #2
    1) What's wrong with spirit?
    2) You can jailbreak 3.1.2 3.1.3 4.0 and 4.0.1 with jailbreakme.com
    3) You can't update to 4.0 or 4.0.1 anymore, unless you have your SHSHes installed. you can check in either Cydia or tinyumbrella.

  3. #3
    Quote Originally Posted by korin125 View Post
    1) What's wrong with spirit?
    2) You can jailbreak 3.1.2 3.1.3 4.0 and 4.0.1 with jailbreakme.com
    3) You can't update to 4.0 or 4.0.1 anymore, unless you have your SHSHes installed. you can check in either Cydia or tinyumbrella.
    thanks, i sent in shsh request to cydia yesterday, will try upgrading to 4.0.1 now.

  4. #4
    i also want to upgrade from 3.1.3 to 4.0.1

    i have my shsh hashes and when i tried to upgrade to 4.0.1 using tinyumbrella it sed on itunes

    'The iphone could not be restored. This device isnt eligible for the requested build'

    Any help would be great as my battery life on 3.1.1 is terrible and barely last half a day!

  5. #5
    Quote Originally Posted by jdmcelica View Post
    thanks, i sent in shsh request to cydia yesterday, will try upgrading to 4.0.1 now.
    If you don't have your SHSHes already you can't get anything under 4.0.2 anymore as Apple has stopped signing those.

    Quote Originally Posted by philly13 View Post
    i also want to upgrade from 3.1.3 to 4.0.1

    i have my shsh hashes and when i tried to upgrade to 4.0.1 using tinyumbrella it sed on itunes

    'The iphone could not be restored. This device isnt eligible for the requested build'

    Any help would be great as my battery life on 3.1.1 is terrible and barely last half a day!
    Here are the requirements to get tinymbrella to work, listed in the help file.


    -WIndows XP, Windows 7 (32 and 64 bit), Windows Vista (32 and 64 bit), OSX 10.6.X, 10.5.X
    -Java: Windows (1.6+ 32 bit ONLY 64bit java will not work on windows!!!) Mac: (1.6+) Snow Leopard ships with this, Leopard users may have to update
    -iTunes: Tested on 9.0.x, 9.1.x, 9.2 (32 bit only) I have not tested and don't support Windows 64 bit iTunes.
    -iTunes NOTE: I have noticed issues with Windows 7 in particular. If you have an iPhone 4, you MUST use iTunes 9.2+.
    -Administrator privileges - you MUST be able to run the application as Administrator for both windows and mac

  6. #6
    i didnt really understand your last post sorry!

    I running windows xp and itunes 9.2.1.5

  7. #7
    Are you logged into an administrator account in windows?

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •